<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <meta name="apple-mobile-web-app-status-bar-style" content="black"/>
    <title></title>
    <style></style>
    <script src="{{ theme }}/js/jquery.min.js"></script>
    <script src="{{ theme }}/js/public.js"></script>
    <script>
        $(document).ready(function () {
            $('[data-name=handle]').click(function () {
                var self = $(this);
                var id = self.data('id');
                $.ajax({
                    type: 'POST',
                    url: '{{ url }}/wp-admin/admin-ajax.php/',
                    data: 'action=handle_view_house&id=' + id,
                    success: function (data) {
                        if (data.code == 2000) {
                            self.parent().html('已接受');
                            alert('接受成功');
                        } else {
                            alert('接受失败');
                        }
                    }
                });
            });
            {% if message %}
                alert('{{ message }}');
            {% endif %}
        });
    </script>
</head>
<body>
{% for item in result %}
<div>
    <ul>
        <li>楼盘 {{ item.house_id }}</li>
        <li>预约时间 {{ item.date }} {{ item.time }}</li>
        <!--用户 约看清单-->
        {% if item.consultant_id %}
        <li>置业顾问 {{ item.consultant_id }}</li>
        {% if item.handle==0 %}
        <li>未接受</li>
        {% else %}
        <li>接受</li>
        {% endif %}
        {% endif %}
        <!--置业顾问 约看清单-->
        {% if item.user_id %}
        <li>用户 {{ item.user_id }}</li>
        {% if item.handle==0 %}
        <li>
            <button data-name="handle" data-id="{{ item.id }}">接受</button>
        </li>
        {% else %}
        <li>已接受</li>
        {% endif %}
        {% endif %}
    </ul>
</div>
{% endfor %}
</body>
</html>